%define upstream_name    Dist-Zilla-Plugin-Test-Perl-Critic
%define upstream_version 3.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tests to check your code against best practices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-CriticTests <= 1.111.450
Provides:   perl-Dist-Zilla-Plugin-CriticTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* * t/author/critic.t - a standard test to check your code against best
  practices

This plugin does not accept any option yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Oct 15 2024 daviddavid <daviddavid> 3.2.0-2.mga10
+ Revision: 2107055
- rebuild with fixed perl attr in rpm-mageia-setup-2.80-5.mga10

* Tue Oct 15 2024 tv <tv> 3.2.0-1.mga10
+ Revision: 2106950
- update to 3.002

* Sun Mar 20 2022 umeabot <umeabot> 3.1.0-4.mga9
+ Revision: 1809068
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.1.0-3.mga8
+ Revision: 1504192
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1283346
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 3.1.0-1.mga7
+ Revision: 1168381
- update to 3.001

* Sun Jun 19 2016 pterjan <pterjan> 3.0.0-3.mga6
+ Revision: 1026605
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 3.0.0-2.mga6
+ Revision: 966745
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 3.0.0-1.mga6
+ Revision: 846756
- update to 3.000

* Wed Oct 15 2014 umeabot <umeabot> 2.112.410-5.mga5
+ Revision: 748980
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.112.410-3.mga4
+ Revision: 511219
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.112.410-2.mga3
+ Revision: 366497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 29 2011 jquelin <jquelin> 2.112.410-1.mga2
+ Revision: 136043
- update to 2.112410
- dist renamed upstream

* Wed Jun 15 2011 jquelin <jquelin> 1.111.450-1.mga2
+ Revision: 106840
- update to 1.111450

* Wed Jan 26 2011 jquelin <jquelin> 1.102.280-1.mga1
+ Revision: 40395
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CriticTests

